%bcond_without check
%bcond_with bootstrap
%global debug_package %{nil}
%global module compute/metadata

%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

%global goipath         cloud.google.com/go/%{module}
%global forgeurl        https://github.com/GoogleCloudPlatform/google-cloud-go
Version:                0.2.3
%global tag             %{module}/v%{version}
%global distprefix      %{nil}

%gometa

%global common_description %{expand:
Google Cloud Client Libraries for Go  for module %{module}.}

%global golicenses      LICENSE
%global godocs          CHANGES.md CODE_OF_CONDUCT.md CONTRIBUTING.md\\\
                        README.md RELEASING.md SECURITY.md testing.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Google Cloud Client Libraries for Go for module %{module}

License:        Apache-2.0 AND BSD-3-Clause
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1
find . ! \( -name compute -o -name "*.md" -o -name LICENSE -o -name _build \) -maxdepth 1 -exec rm -rvf {} \;
mv compute/metadata/* .
rm -rfv compute

%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

%install
%gopkginstall

%if %{without bootstrap}
%if %{with check}
%check
ln -s /usr/share/gocode/src/cloud.google.com/go/internal _build/src/cloud.google.com/go/
%gocheck
%endif
%endif

%gopkgfiles

%changelog
* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
